> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/seo/pages/bulk-upsert

Bulk upsert SEO integration pages (used by CI/CD build script)

` POST /v1/seo/pages/bulk-upsert `

Bulk upsert SEO integration pages (used by CI/CD build script)

## Request body (required)

Content type: ` application/json `

Pages to upsert

- ` value `: type ` unknown `

  - ` oneOf alternative 1 `: type ` object `

  - ` oneOf alternative 2 `: type ` object `

    - Required fields: ` pages `

    - ` pages `: type ` array `

      - ` array item `: type ` object `

        - ` appSlugs `: type ` array `

          - ` array item `: type ` string `

        - ` contentStatus `: type ` string `

        - ` createdAt `: type ` string ` — Timestamps.

        - ` faqs `: type ` array `

          - ` array item `: type ` object `

            - ` answer `: type ` string `

            - ` question `: type ` string `

        - ` heroDescription `: type ` string ` — AI-generated content.

        - ` id `: type ` string `

        - ` integrationStatus `: type ` string ` — Status tracking.

        - ` isPublished `: type ` boolean `

        - ` keywords `: type ` array `

          - ` array item `: type ` string `

        - ` metaDescription `: type ` string `

        - ` pageType `: type ` string `

        - ` requestCount `: type ` integer `

        - ` slug `: type ` string `

        - ` title `: type ` string ` — SEO metadata.

        - ` updatedAt `: type ` string `

        - ` useCases `: type ` array `

          - ` array item `: type ` object `

            - ` description `: type ` string `

            - ` title `: type ` string `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` totalReceived `: type ` integer `

    - ` upsertedCount `: type ` integer `

  - ` message `: type ` string `

    - example: ` "success" `

  - ` requestId `: type ` string `

    - example: ` "abc-123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 500 ` — Internal Server Error

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X POST 'https://api.example.com/v1/seo/pages/bulk-upsert' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/seo/pages/bulk-upsert', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({})
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://api.example.com/v1/seo/pages/bulk-upsert', headers=headers, json={})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{}`)
	req, _ := http.NewRequest("POST", "https://api.example.com/v1/seo/pages/bulk-upsert", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```